Skip to main content

Get rentable items for an applicant

GEThttps://api.propexo.com/v1/applicants/:id/rentable-items

Deprecated: Use GET /v1/rentable-item-assignments instead. Get all rentable items associated with a specific applicant.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the rentable item

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: 14891
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: comboss2
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for YARDI

    Example: null
    x_applicant_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    InterfaceMethod
    ILS Guest CardGetYardiRentableItems_Login
    x_lead_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    InterfaceMethod
    ILS Guest CardGetYardiRentableItems_Login
    x_resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    x_type_idstring | nullnullablerequired

    The external ID of the type from the integration vendor

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: 1482
    x_charge_code_idstring | nullnullablerequired

    The external ID of the charge code from the integration vendor

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: rentoth
    amount_in_centsnumber | nullnullablerequired

    The amount of the rentable item, in cents

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: 40000
    descriptionstring | nullnullablerequired

    Description of the rentable item

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: Shed
    namestring | nullnullablerequired

    The name of the rentable item

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: 14891
    is_availableboolean | nullnullablerequired

    Whether the rentable item is available

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: true
    reserved_until_datestring | nullnullablerequired

    The date the rentable item is reserved until

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: 2022-01-01T00:00:00.000Z
    typestring | nullnullablerequired

    The type associated with the rentable item

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: Shed
    associated_applicant_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The applicant IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_applicant_ids_truncatedbooleanrequired

    True when more than 20 applicant associations exist and associated_applicant_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI

    associated_lead_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The lead IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_lead_ids_truncatedbooleanrequired

    True when more than 20 lead associations exist and associated_lead_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI

    associated_resident_idsstring[]requireddeprecated

    Deprecated: Use GET /v1/rentable-item-assignments for assignment history. The resident IDs associated with the rentable item. Limited to the 20 most recently seen associations. Empty when unassigned.

    associated_resident_ids_truncatedbooleanrequired

    True when more than 20 resident associations exist and associated_resident_ids was capped to the 20 most recently seen.

    Notice

    This field is not currently hydrated for YARDI

    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum24required

    The property management system of record

    Show 13 enum values
    YARDIAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDI_REST
    Example: YARDI
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    applicant_idnullrequireddeprecated

    Deprecated: Use associated_applicant_ids instead.

    Important

    This is deprecated. Use the /applicants/:id/rentable-items endpoint to read this data instead

    Notice

    This field will always be null for YARDI

    Example: null
    lead_idnullrequireddeprecated

    Deprecated: Use associated_lead_ids instead.

    Important

    This is deprecated. Use the /leads/:id/rentable-items endpoint to read this data instead

    Notice

    This field will always be null for YARDI

    Example: null
    resident_idstring | nullnullablerequireddeprecated

    Deprecated: Use associated_resident_ids instead.

    Important

    This is deprecated. Use the /residents/:id/rentable-items endpoint to read this data instead

    InterfaceMethod
    Lease RenewalsGetRentableItems
    charge_code_idstring | nullnullablerequired

    The Propexo unique identifier for the charge code

    InterfaceMethod
    Lease RenewalsGetRentableItems
    ILS Guest CardGetYardiRentableItems_Login
    Example: test_integration:na:rentoth
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/applicants/:id/rentable-items
curl https://api.propexo.com/v1/applicants/:id/rentable-items \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "14891",
"x_property_id": "comboss2",
"x_location_id": null,
"x_type_id": "1482",
"x_charge_code_id": "rentoth",
"amount_in_cents": 40000,
"description": "Shed",
"name": "14891",
"is_available": true,
"reserved_until_date": "2022-01-01T00:00:00.000Z",
"type": "Shed",
"associated_applicant_ids_truncated": true,
"associated_lead_ids_truncated": true,
"associated_resident_ids_truncated": true,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "YARDI",
"property_id": "clwi5xiix000008l6ctdgafyh",
"charge_code_id": "test_integration:na:rentoth"
}
]
}